/* Loadrunner scripts are actually C code with customized (Loadrunner) functions
/ Each action is separate file with one function inside
/ Action invocation order (run logic) is set by Vuser- Run-Time Settings...-General-Run Logic
*/

Action()
{
 /* remove unnecessary things (cookies,links to external resource, etc.), which are recorded with recorder, such as:
	web_url("gen_204", 
		"URL=http://www.google.com/gen_204?oi=promos_vis&cad=hppwebie6tb:en-GB&atyp=i", 
		"Resource=0", 
		"RecContentType=text/html", 
		"Referer=http://www.google.com/", 
		"Mode=HTML", 
		LAST);
	lr_think_time(10);
	As less HTML will be checked and passed to server, than more robust scripts will be
*/
	msg=lr_eval_string("Search for {search}");			// variable msg is defined in globals.h
	lr_start_transaction(msg);							// log transaction start

	web_reg_save_param("link",							// register parameter before getting server response
		"LB=<a href=\"" ,								// set text boundaries, in which value should be
		"RB=\" class=l",
		"Ord=1", "NotFound=ERROR", "Search=Body", LAST); 

	web_url("search", 
		"URL={url}/search?hl=en&q={search}&btnG={button}", 	// original string is replaced with parameters
															// parameters are defined in Vuser- Parameter List...
		"Resource=0", 
		"RecContentType=text/html", 
		"Referer={url}/", 
		"Snapshot=t7.inf", 
		"Mode=HTML", 
/*		EXTRARES, 
		"Url=/images/nav_logo.png", "Referer={url}/search?hl=en&q={search}&btnG={button}", ENDITEM, */
		LAST);

	lr_end_transaction(msg, LR_AUTO);		   			// log transaction finish
	lr_message ("%s, %s",msg,lr_eval_string("{link}"));	// log transaction, and value of registered parameter,
														// note, that to get it value, string should be evaluated
	return 0;  	 										// don't delete this line, it is used to check for successful action finish 										
}

